JBoss API: Class DefaultSocketFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.server
Class DefaultSocketFactory

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.server.DefaultSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIServerSocketFactory, java.io.Serializable

public class DefaultSocketFactory
extends java.lang.Object
implements java.rmi.server.RMIServerSocketFactory, java.io.Serializable

Version:
  $Revision: 1.1.2.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`DefaultSocketFactory()`

Method Summary
`java.net.ServerSocket` | `createServerSocket(int port)` Create a server socket on the specified port (port 0 indicates an anonymous port).
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getBindAddress()`
`int` | `hashCode()`
`void` | `setBindAddress(java.lang.String host)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSocketFactory

    public DefaultSocketFactory()

Method Detail

### getBindAddress

    public java.lang.String getBindAddress()

### setBindAddress

    public void setBindAddress(java.lang.String host)
                        throws java.net.UnknownHostException

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Create a server socket on the specified port (port 0 indicates an anonymous port).
  Specified by:
    `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
  Parameters:
    `port` - the port number
  Returns:
    the server socket on the specified port
  Throws:
    `java.io.IOException` - if an I/O error occurs during server socket creation
  Since:
    1.2

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.